Skip to main content
GET
/
workspaces
/
{workspaceId}
/
documents
/
{documentId}
Get Workspace Document
curl --request GET \
  --url https://api.raydocs.com/workspaces/{workspaceId}/documents/{documentId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_id": 123,
  "filename": "<string>",
  "mime": "<string>",
  "size": 123,
  "sha256": "<string>",
  "status": "uploaded",
  "source_type": "upload",
  "source_url": "<string>",
  "parsings": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "config_hash": "<string>",
      "status": "queued",
      "parser_version": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z"
}
Retrieve a single workspace document.

Authentication & Scope

Requires documents-read.

Response

{
  "id": "880e8400-e29b-41d4-a716-446655440000",
  "workspace_id": 12,
  "filename": "invoice.pdf",
  "status": "processed",
  "sha256": "6de7f6f5894c9f3fd1f6f8a4d1b3115d0d9b4b19d7a8a661f9fe90f9c2d80c3b",
  "parsings": [
    {
      "id": "a50e8400-e29b-41d4-a716-446655440000",
      "config_hash": "cfg_9eeae65063f17f55",
      "status": "ready",
      "parser_version": "v1"
    }
  ]
}

Authorizations

Authorization
string
header
required

Personal Access Token created from the Raydocs dashboard. Include in the Authorization header: Bearer <your_token> See API Keys for token creation and management.

Path Parameters

workspaceId
integer
required
documentId
string<uuid>
required

Response

Successful

id
string<uuid>
workspace_id
integer
filename
string
mime
string
size
integer

File size in bytes

sha256
string
Required string length: 64
status
enum<string>
Available options:
uploaded,
queued,
parsing,
parsed,
processed,
failed
source_type
enum<string>
Available options:
upload,
url,
connector
source_url
string | null
parsings
object[]
created_at
string<date-time>